### Function Macro

# GLib main_quit

deprecated: 2.2 since: 2.0

#### Declaration

    #define g_main_quit (
      loop
    )

#### Description

Stops the `GMainLoop`. If `g_main_run()` was called to run the `GMainLoop`, it will now return.

Available since: 2.0

Deprecated since: 2.2

Use `g_main_loop_quit()` instead.

This function is not directly available to language bindings.

#### Parameters

`loop`

  Type: `-`

  A `GMainLoop`.